Details
curl --request GET \
--url https://api.bizzy.ai/v1/exports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v1/exports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v1/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v1/exports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v1/exports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizzy.ai/v1/exports/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v1/exports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1234567890,
"name": "Example Export",
"status": "COMPLETED",
"progress": 1.00,
"url": "https://bizzy.ams3.digitaloceanspaces.com/prod/files/bizzy-example-export.csv"
}
Exports API
Details
GET
/
v1
/
exports
/
{id}
Details
curl --request GET \
--url https://api.bizzy.ai/v1/exports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v1/exports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v1/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v1/exports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v1/exports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizzy.ai/v1/exports/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v1/exports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1234567890,
"name": "Example Export",
"status": "COMPLETED",
"progress": 1.00,
"url": "https://bizzy.ams3.digitaloceanspaces.com/prod/files/bizzy-example-export.csv"
}
Request
Path
ID of the export. This is the ID that was returned when you queued the export (see exports endpoint in the Lists API).
Response
Status of the export. Can be one of the following:
PENDING: The export is pending and will be processed in the background.IN_PROGRESS: The export is in progress.AVAILABLE: The export is available for download.EXPIRED: The export has expired and is no longer available for download (available for 7 days after completion).FAILED: The export failed.INSUFFICIENT_CREDITS: The export failed because the user has insufficient credits.NO_RESULTS: The export failed because there are no results to export.
{
"id": 1234567890,
"name": "Example Export",
"status": "COMPLETED",
"progress": 1.00,
"url": "https://bizzy.ams3.digitaloceanspaces.com/prod/files/bizzy-example-export.csv"
}
Was this page helpful?